# ToDos

- [x] Add checkboxes to the Inhaltsverzeichnis
- [ ] Link to Podio Tutorial
- [x] Add General ToDo section
    - [ ] Kassenbons getackert, nicht geklebt?
    - [ ] Bons die länge als das Blatt sind, so gefaltet, dass sowohl Gesamtsumme als auch Posten sichbar sind?
    - [ ] Anhänge mit Postennummer nummeriert?
    - [ ] Rechnungen haben alle Rechnungssteller/in als Rechnungsaddresse?
    - [ ] Haben alle Rechnungen eine Rechnungsnummer?
    - [ ] Haben alle Rechnungen eine Steuer ausgewiesen?
    - [ ] Sind alle Rechnungen "echte" Rechnungen? (Keine Proforma, keine Angebote, keine Lieferscheine)
    - [ ] Rechnungen in Auslandswährung haben entweder Umrechnungsfaktor auf Zahlungsbeleg oder auf link von Oskar
    - [ ] Ist Pfand und Alkohol aus Bewirtungsrechnungen per Nebenrechnung herausgerechnet?
    - [ ] Alles ausgedruckt und Deckblatt NUR oben links handschriftlich unterschrieben?
    - [ ] Alle Blätter mit Büroklammer zusammengeheftet und bei Finanzleitung abgegeben?
- [ ] Multiple Kostenstellen -> multiple pages
- [ ] Kostenstelle Tanken -> Start / Ziel + Kilometer
- [ ] Toggle Nebenrechnung erforderlich?
- [ ] Toggle single Kontoauszug

# React + TypeScript + Vite

This template provides a minimal setup to get React working in Vite with HMR and some ESLint rules.

Currently, two official plugins are available:

- [@vitejs/plugin-react](https://github.com/vitejs/vite-plugin-react/blob/main/packages/plugin-react/README.md)
  uses [Babel](https://babeljs.io/) for Fast Refresh
- [@vitejs/plugin-react-swc](https://github.com/vitejs/vite-plugin-react-swc) uses [SWC](https://swc.rs/) for Fast
  Refresh

## Expanding the ESLint configuration

If you are developing a production application, we recommend updating the configuration to enable type aware lint rules:

- Configure the top-level `parserOptions` property like this:

```js
export default {
    // other rules...
    parserOptions: {
        ecmaVersion: 'latest',
        sourceType: 'module',
        project: ['./tsconfig.json', './tsconfig.node.json'],
        tsconfigRootDir: __dirname,
    },
}
```

- Replace `plugin:@typescript-eslint/recommended` to `plugin:@typescript-eslint/recommended-type-checked`
  or `plugin:@typescript-eslint/strict-type-checked`
- Optionally add `plugin:@typescript-eslint/stylistic-type-checked`
- Install [eslint-plugin-react](https://github.com/jsx-eslint/eslint-plugin-react) and
  add `plugin:react/recommended` & `plugin:react/jsx-runtime` to the `extends` list
